#ifndef RECORDERHPP
#define RECORDERHPP
#include "icon.hpp"
#include "page.hpp"
#include "graphics.hpp"
#include "limit.hpp"
#include "selector.hpp"
#include "pot.hpp"
#include "selector.hpp"
#include "setup.hpp"
#include "database.hpp"

class RecorderPage: public Page {

	COLOR_TYPE title_color;

	HorizontalSelector* tape_controls;
	AttenuatorPot* level;
	PopupWindowButton* setup;

public:

	RecorderPage();
	void Display();
	virtual ~RecorderPage();
};

extern void OpenRecorderPage();

#endif
